%define upstream_name    Algorithm-Diff
%define upstream_version 1.1902

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Epoch:      1

Summary:    Compute 'intelligent' differences between two files / lists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.bz2

Buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
This module compute `intelligent' differences between two files / lists.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%make test


%files 
%doc README Changes
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1:1.190.200-6.mga4
+ Revision: 509038
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.190.200-5.mga3
+ Revision: 362849
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 spuhler <spuhler> 1:1.190.200-4.mga3
+ Revision: 334441
- rebuilt for mga 3
  cleaned spec file

* Sat Feb 26 2011 jquelin <jquelin> 1:1.190.200-3.mga1
+ Revision: 60385
- rebuild for perl 5.12.3

* Tue Jan 18 2011 jquelin <jquelin> 1:1.190.200-2.mga1
+ Revision: 22006
- clean spec file
- imported package perl-Algorithm-Diff


* Fri Jul 23 2010 Funda Wang <fwang@mandriva.org> 1:1.190.200-2mdv2011.0
+ Revision: 557122
- rebuild

* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 1:1.190.200-1mdv2010.1
+ Revision: 503913
- bump epoch
- rebuild using %%perl_convert_version

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1902-5mdv2010.0
+ Revision: 426410
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.1902-4mdv2009.0
+ Revision: 223497
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1902-3mdv2008.1
+ Revision: 180364
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 22 2007 Thierry Vignaud <tv@mandriva.org> 1.1902-2mdv2008.0
+ Revision: 43093
- rebuild


* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.1902-1mdv2007.0
- New version 1.1902

* Fri Jun 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.1901-3mdv2007.0
- spec cleanup
- %%mkrel

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1901-2mdk 
- make test in %%check
- don't ship empty directories

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.1901-1mdk 
- new release
- spec cleanup
- better url

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.15-3mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.15-2mdk 
- rpmbuildupdate aware

* Wed Jan 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.15-1mdk
- first mdk release

